import https from "@/plugins/luch-request_0.0.7/request";

/** *
 * 分类及花材数据(库存预警、库存管理共用这个接口)
 * @parmas py 花材拼音
 * @parmas type 库存预警时，固定为waring，其他情况不传或者传空
 */
export const getProductDataApi = data => {
	return https.get("/product/index", data);
};
/** *
	* 获取所有分类（包括常用、全部）（暂不用）
	* @parmas py 花材拼音
	* @parmas type 库存预警时，固定为waring，其他情况不传或者传空
	*/
export const getAllProductDataApi = data => {
	return https.get("/product/list", data);
};

/**
 * 自动调价
 * productId
 */
export const autoPriceByIdApi = data => {
	return https.post("/product/auto-price", data);
};

/**
 * 改价
 * productId
 * price
 */
export const changePriceByIdApi = data => {
	return https.post("/product/change-price", data);
};
/** *
	* 培训班开单列表(课程开单)
	*/
export const getPxClassDataApi = data => {
	return https.get("/px-class/list", data);
};
/** *
	* 成品开单列表 
*/
export const getGoodsDataApi = data => {
	return https.get("/goods/index", data);
};

/** *
	* 培训班详情
*/
export const  pxClassDetail = data => {
  return https.get("/px-class/detail", data);
};
  
/** *
	* 修改培训班   
*/
export const  pxClassUpdate = data => {
  return https.get("/px-class/update", data);
};

/** *
	* 新增培训班   
*/
export const  pxClassAdd = data => {
  return https.get("/px-class/add", data);
};

/** *
	* 删除培训班   
*/
export const  pxClassDel = data => {
  return https.get("/px-class/del", data);
};
/** *
 * 供货商花材列表（进店开单） 【采购开单】 
 */
 export const getGhsProductList = data => {
	return https.get('/product/ghs-item', data)
}
